package tagrepository

import (
	"legalgo-BE-go/database"
	tagdomain "legalgo-BE-go/internal/domain/tag"
)

type accessor struct {
	db *database.DB
}

type TagAccessor interface {
	Create(tagdomain.TagReq) error
	GetAll() ([]tagdomain.Tag, error)
	GetByIDs([]string) ([]tagdomain.Tag, error)
	Update(tagdomain.Tag) error
	Delete(string) error
}

func New(
	db *database.DB,
) TagAccessor {
	return &accessor{db}
}
